Name:          python-urllib3
Version:       1.26.8
Release:       1mamba
Summary:       HTTP library with thread-safe connection pooling, file post, and more
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/urllib3/
Source:        http://pypi.debian.net/urllib3/urllib3-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n urllib3-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/urllib3-%{version}-py*.egg-info
%{python_sitearch}/urllib3-%{version}-py*.egg-info/*

%changelog
* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 1.26.8-1mamba
- automatic version update by autodist

* Thu Sep 23 2021 Automatic Build System <autodist@mambasoft.it> 1.26.7-1mamba
- automatic version update by autodist

* Fri Jun 25 2021 Automatic Build System <autodist@mambasoft.it> 1.26.6-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 1.26.5-1mamba
- automatic version update by autodist

* Mon Apr 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.4-2mamba
- rebuilt with distdeps

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 1.26.4-1mamba
- automatic version update by autodist

* Tue Feb 02 2021 Automatic Build System <autodist@mambasoft.it> 1.26.3-1mamba
- automatic version update by autodist

* Sun Jan 17 2021 Automatic Build System <autodist@mambasoft.it> 1.26.2-1mamba
- automatic version update by autodist

* Tue Dec 29 2020 Automatic Build System <autodist@mambasoft.it> 1.26.1-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 1.25.11-1mamba
- automatic version update by autodist

* Thu Jul 23 2020 Automatic Build System <autodist@mambasoft.it> 1.25.10-1mamba
- automatic version update by autodist

* Sat Apr 18 2020 Automatic Build System <autodist@mambasoft.it> 1.25.9-1mamba
- automatic version update by autodist

* Wed Jan 22 2020 Automatic Build System <autodist@mambasoft.it> 1.25.8-1mamba
- automatic version update by autodist

* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 1.25.7-1mamba
- automatic version update by autodist

* Mon Oct 14 2019 Automatic Build System <autodist@mambasoft.it> 1.25.6-1mamba
- automatic version update by autodist

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 1.25.5-1mamba
- automatic version update by autodist

* Tue May 28 2019 Automatic Build System <autodist@mambasoft.it> 1.25.3-1mamba
- automatic version update by autodist

* Fri May 10 2019 Automatic Build System <autodist@mambasoft.it> 1.25.2-1mamba
- automatic version update by autodist

* Tue Apr 23 2019 Automatic Build System <autodist@mambasoft.it> 1.24.2-1mamba
- automatic version update by autodist

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24.1-2mamba
- rebuilt with -py36 package

* Sat Nov 10 2018 Automatic Build System <autodist@mambasoft.it> 1.24.1-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic version update by autodist

* Tue Jun 05 2018 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 1.22-1mamba
- automatic version update by autodist

* Wed Jan 25 2017 Automatic Build System <autodist@mambasoft.it> 1.20-1mamba
- automatic version update by autodist

* Thu Nov 17 2016 Automatic Build System <autodist@mambasoft.it> 1.19.1-1mamba
- automatic version update by autodist

* Fri Nov 04 2016 Automatic Build System <autodist@mambasoft.it> 1.19-1mamba
- automatic version update by autodist

* Fri Oct 28 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.1-1mamba
- package created using the webbuild interface
